#[cfg(test)]
use fake::{faker::internet::en::SafeEmail, faker::name::en::Name, Dummy};

use garde::Validate;

use super::{Function, Role};

#[derive(Validate)]
#[cfg_attr(test, derive(Dummy))]
#[garde(allow_unvalidated)]
pub struct UserChangeset {
    #[cfg_attr(test, dummy(faker = "Name()"))]
    pub name: String,
    #[garde(email)]
    #[cfg_attr(test, dummy(faker = "SafeEmail()"))]
    pub email: String,
    #[cfg_attr(test, dummy(expr = "Role::Staff"))]
    pub role: Role,
    #[cfg_attr(test, dummy(expr = "Function::Posten"))]
    pub function: Function,
    /// check before: must exist and user can create other user for this area
    #[cfg_attr(test, dummy(expr = "1"))]
    pub area_id: i32,
}
